jv.objectGui

## Class PsToolbarItem

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - jv.object.PsPanel
        - - jv.objectGui.PsToolbarItem

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.MouseListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, PsUpdateIf

      public final class PsToolbarItem
      extends PsPanel
      implements java.awt.event.ActionListener, java.awt.event.MouseListener

  An icon image which allows to select among different text strings like an AWT list. Here just an icon is shown, and the list is shown in a popup window when a user clicks on the icon.

  Usage:

                 toolItem = new PsToolbarItem(PsToolbar.TOOLBAR_PRINT); // Determines the icon image.
                 toolItem.addActionListener(this);      // Register the current container as listener.
                 toolItem.addChoice("first string");    // Add a number of action commands.
                 toolItem.addChoice("second string");
                 this.add(toolItem)

  or, alternatively, assign a single action command:

                 toolItem = new PsToolbarItem(PsToolbar.TOOLBAR_PRINT); // Determines the icon image.
                 toolItem.addActionListener(this);      // Register the current container as listener.
                 toolItem.setChoice("action command");  // Set an action command.
                 this.add(toolItem)

  In the actionPerformed() method of this container catch events:

                 if (event.getSource() == toolItem)
             String actionCmd = event.getActionCommand();

  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    12.11.06, 1.00 created (kp)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class jv.object.PsPanel

      `BORDER_GROOVE, BORDER_LINE, BORDER_LINETOP, BORDER_NONE, BORDER_SUNK, BOUNDARY, BOUNDARY_EXT, CONFIG, CONFIG_EXT, INFO, INFO_EXT, LABEL, LABEL_EXT, MATERIAL, MATERIAL_EXT, ORIENT_GUIDE, ORIENT_HORIZONTAL, ORIENT_VERTICAL, TEXTURE, TEXTURE_EXT, VECTOR, VECTOR_EXT`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsToolbarItem()`
    `PsToolbarItem(int actionType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)` Handle action events including those fired by buttons of a dialog which shows this info panel.
    `void` | `addActionListener(java.awt.event.ActionListener listener)` Add action listener to receive an action event when a menu item is selected.
    `void` | `addChoice(java.lang.String actionCommand)` Add one menu item after another.
    `void` | `init()` Initialize instance and load toolbar image.
    `void` | `mouseClicked(java.awt.event.MouseEvent event)` Method does nothing.
    `void` | `mouseEntered(java.awt.event.MouseEvent event)` Just show the toolbar image as active.
    `void` | `mouseExited(java.awt.event.MouseEvent event)` Just show the toolbar image as inactive.
    `void` | `mousePressed(java.awt.event.MouseEvent event)` Just show the toolbar image as pressed button in sunk mode.
    `void` | `mouseReleased(java.awt.event.MouseEvent event)` Shows popup menu when mouse is released from menu item.
    `void` | `removeActionListener(java.awt.event.ActionListener listener)` Remove a previously added action listener.
    `void` | `setActionString(java.lang.String actionString)` Set explanatory action string to be shown as tooltip or status message.
    `void` | `setChoice(java.lang.String actionCommand)` Set a single menu item, all previous menu items are removed.

    - ### Methods inherited from class jv.object.PsPanel

      `addLabelComponent, addLine, addLine, addSubTitle, addTextField, addTitle, drawBorder, drawBorder, drawBorder, drawBorder, drawText, getFather, getInsets, getLanguage, getPanelVersion, getPreferredSize, getTitle, getTitle, getTitle, hasTitle, instanceOf, paint, removeTitle, select, setBackColor, setBorderType, setEnabled, setImage, setInsetSize, setInsetSizeHorizontal, setInsetSizeVertical, setLabel, setLabel, setOutOfDate, setParent, setPreferredSize, setSelectedCheckbox, setState, setText, setText, setTitle, setVisible, update, update`

    - ### Methods inherited from class java.awt.Panel

      `addNotify, getAccessibleContext`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Constructor Detail

    - #### PsToolbarItem

          public PsToolbarItem()

    - #### PsToolbarItem

          public PsToolbarItem(int actionType)

  - ### Method Detail

    - #### init

          public void init()

      Initialize instance and load toolbar image.
      Overrides:
        `init` in class `PsPanel`

    - #### setChoice

          public void setChoice(java.lang.String actionCommand)

      Set a single menu item, all previous menu items are removed.

    - #### addChoice

          public void addChoice(java.lang.String actionCommand)

      Add one menu item after another.

    - #### setActionString

          public void setActionString(java.lang.String actionString)

      Set explanatory action string to be shown as tooltip or status message.

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent event)

      Just show the toolbar image as pressed button in sunk mode.
      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent event)

      Shows popup menu when mouse is released from menu item.
      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`

    - #### mouseEntered

          public void mouseEntered(java.awt.event.MouseEvent event)

      Just show the toolbar image as active.
      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`

    - #### mouseExited

          public void mouseExited(java.awt.event.MouseEvent event)

      Just show the toolbar image as inactive.
      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent event)

      Method does nothing.
      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Handle action events including those fired by buttons of a dialog which shows this info panel.
      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### addActionListener

          public void addActionListener(java.awt.event.ActionListener listener)

      Add action listener to receive an action event when a menu item is selected. The action event will contain source=this, id=actionId and command=actionCommand.

    - #### removeActionListener

          public void removeActionListener(java.awt.event.ActionListener listener)

      Remove a previously added action listener.

"

The software JavaView? is copyright protected. All Rights Reserved.
"